import numpy as np
import pandas as pd
from glob import glob
import matplotlib
import matplotlib.pyplot as plt
import datetime
from matplotlib.font_manager import FontProperties

a = sorted([f.name for f in matplotlib.font_manager.fontManager.ttflist])

for i in a:
    print(i)

df = pd.read_csv('1105.csv', dtype={
                 '總計': int},)  # 讀取資料

is_Total = df['性別'] == "計"
df = df[is_Total]
df = df.sum(numeric_only=True)
print(df)

df1 = pd.read_csv('1115.csv', dtype={
    '總計': int},)  # 讀取資料

is_Total = df1['性別'] == "計"
df1 = df1[is_Total]
df1 = df1.sum(numeric_only=True)


x = np.arange(17)
width = 0.3
plt.bar(x, df, width, color='green', label='2012年原住民分布')
plt.bar(x + width, df1, width, color='blue', label='2021年原住民分布')
font = FontProperties(fname=r'Font.ttf')
plt.xticks(x + width / 5, df.index, fontproperties=font, fontsize=50)

plt.rcParams.update({'font.size': 44, "figure.figsize": (80, 30)})
plt.title('2012/2021年5月台南原住民種族人口數量', fontproperties=font)  # 標題
plt.xlabel('種族', fontproperties=font)
plt.ylabel('人數', fontproperties=font)
plt.style.use('dark_background')  # 黑色主題
plt.legend(prop=font)

plt.show()  # render
